/* cc-kb-layout-dialog.h
 *
 * Copyright 2019 Bastien Nocera <hadess@hadess.net>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 */

#pragma once

#include <gtk/gtk.h>

G_BEGIN_DECLS

typedef struct
{
  gchar *label;
  gchar *switch_input_source_1;
  gchar *switch_input_source_2;
  gchar *switch_input_source_3;
  gchar *switch_input_source_4;
  gboolean default_opt;
} InSrcOpt;

typedef struct
{
  gchar *title;
  gchar *description;
  gchar *description_back;
  InSrcOpt *options;
} InSrcModifier;

#define CC_TYPE_KB_LAYOUT_DIALOG (cc_kb_layout_dialog_get_type())
G_DECLARE_FINAL_TYPE (CcKbLayoutDialog, cc_kb_layout_dialog, CC, KB_LAYOUT_DIALOG, GtkDialog)

CcKbLayoutDialog *cc_kb_layout_dialog_new (GSettings *input_settings, const InSrcModifier*);

G_END_DECLS
